Register immutable checkpoint objects
curl --request POST \
--url https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fencing_token": 1,
"objects": [
{
"kind": "<string>",
"sha256": "<string>",
"size": 1
}
],
"pin_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
}
}
'import requests
url = "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects"
payload = {
"fencing_token": 1,
"objects": [
{
"kind": "<string>",
"sha256": "<string>",
"size": 1
}
],
"pin_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fencing_token: 1,
objects: [{kind: '<string>', sha256: '<string>', size: 1}],
pin_id: '<string>',
task: {generation: 1, task_id: '<string>'}
})
};
fetch('https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fencing_token' => 1,
'objects' => [
[
'kind' => '<string>',
'sha256' => '<string>',
'size' => 1
]
],
'pin_id' => '<string>',
'task' => [
'generation' => 1,
'task_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects"
payload := strings.NewReader("{\n \"fencing_token\": 1,\n \"objects\": [\n {\n \"kind\": \"<string>\",\n \"sha256\": \"<string>\",\n \"size\": 1\n }\n ],\n \"pin_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fencing_token\": 1,\n \"objects\": [\n {\n \"kind\": \"<string>\",\n \"sha256\": \"<string>\",\n \"size\": 1\n }\n ],\n \"pin_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fencing_token\": 1,\n \"objects\": [\n {\n \"kind\": \"<string>\",\n \"sha256\": \"<string>\",\n \"size\": 1\n }\n ],\n \"pin_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"object_id": "<string>",
"plaintext": {
"kind": "<string>",
"sha256": "<string>",
"size": 1
},
"repository": "<string>",
"status": "missing",
"ciphertext_length": 1,
"ciphertext_sha256": "<string>",
"data_key": "<string>",
"nonce": "<string>",
"transfer": {
"expires_at": "2023-11-07T05:31:56Z",
"headers": {},
"url": "<string>"
}
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Runner API
Register immutable checkpoint objects
Arbitrates at most 256 scoped plaintext descriptors in one quota transaction. Returns missing, verified reusable or busy objects; temporary key material belongs only to trusted supervision.
POST
/
v1
/
runners
/
me
/
leases
/
{lease_id}
/
tasks
/
checkpoints
/
{checkpoint_id}
/
objects
Register immutable checkpoint objects
curl --request POST \
--url https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fencing_token": 1,
"objects": [
{
"kind": "<string>",
"sha256": "<string>",
"size": 1
}
],
"pin_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
}
}
'import requests
url = "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects"
payload = {
"fencing_token": 1,
"objects": [
{
"kind": "<string>",
"sha256": "<string>",
"size": 1
}
],
"pin_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fencing_token: 1,
objects: [{kind: '<string>', sha256: '<string>', size: 1}],
pin_id: '<string>',
task: {generation: 1, task_id: '<string>'}
})
};
fetch('https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fencing_token' => 1,
'objects' => [
[
'kind' => '<string>',
'sha256' => '<string>',
'size' => 1
]
],
'pin_id' => '<string>',
'task' => [
'generation' => 1,
'task_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects"
payload := strings.NewReader("{\n \"fencing_token\": 1,\n \"objects\": [\n {\n \"kind\": \"<string>\",\n \"sha256\": \"<string>\",\n \"size\": 1\n }\n ],\n \"pin_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fencing_token\": 1,\n \"objects\": [\n {\n \"kind\": \"<string>\",\n \"sha256\": \"<string>\",\n \"size\": 1\n }\n ],\n \"pin_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/checkpoints/{checkpoint_id}/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fencing_token\": 1,\n \"objects\": [\n {\n \"kind\": \"<string>\",\n \"sha256\": \"<string>\",\n \"size\": 1\n }\n ],\n \"pin_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"object_id": "<string>",
"plaintext": {
"kind": "<string>",
"sha256": "<string>",
"size": 1
},
"repository": "<string>",
"status": "missing",
"ciphertext_length": 1,
"ciphertext_sha256": "<string>",
"data_key": "<string>",
"nonce": "<string>",
"transfer": {
"expires_at": "2023-11-07T05:31:56Z",
"headers": {},
"url": "<string>"
}
}
],
"next_cursor": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Register a batch under one quota and ownership transaction.